package com.common.bean;

import java.io.Serializable;
import java.util.List;

/**
 * Created by SiKang on 2019/3/21.
 */
public class PhotoListBean implements Serializable {
    private List<Photo> files;// [

    public class Photo {
        private String fileType;// "KTP_PHOTO",
        private int index;// 0,
        private String url;// "string"

        public String getFileType() {
            return fileType;
        }

        public void setFileType(String fileType) {
            this.fileType = fileType;
        }

        public int getIndex() {
            return index;
        }

        public void setIndex(int index) {
            this.index = index;
        }

        public String getUrl() {
            return url.replace("http://", "https://");
        }

        public void setUrl(String url) {
            this.url = url;
        }
    }


    public List<Photo> getFiles() {
        return files;
    }

    public void setFiles(List<Photo> files) {
        this.files = files;
    }
}
